#
#

puts("好きな日にちを入力すると、その日の曜日を返します。")
puts("年は西暦で入力してね。")
print("年:")
nen=gets.to_i
print("月:")
tuki=gets.to_i
print("日:")
hi=gets.to_i
puts("計算中…")
sleep(1)

if tuki<3
  nen-=1
end
nen2=nen%100
nen2amari=(nen2/4).floor

tuki_=((tuki+1)*26/10).floor

a=["土","日","月","火","水","木","金"]
if nen/100.floor==19
  num=(nen2+nen2amari+tuki_+hi+1)%7
  printf("%s曜日です。\n",a[num])
else
  num=(nen2+nen2amari+tuki_+hi)%7
  printf("%s曜日です。\n",a[num])
end
